Debian Bug report logs - #624850
perl: FTBFS: Failed test at t/tilde.t line 53

version graph

Package: perl; Maintainer for perl is Niko Tyni <ntyni@debian.org>; Source for perl is src:perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Mon, 2 May 2011 06:36:02 UTC

Severity: important

Found in versions perl/5.12.3-6, perl/5.10.1-20

Fixed in version perl/5.12.3-7

Done: Dominic Hargreaves <dom@earth.li>

Bug is archived. No further changes may be made.

Forwarded to https://rt.cpan.org/Public/Bug/Display.html?id=67893

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, powerpc@buildd.debian.org:
Bug#624850; Package perl. (Mon, 02 May 2011 06:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to powerpc@buildd.debian.org. (Mon, 02 May 2011 06:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: submit@bugs.debian.org
Subject: perl: FTBFS: Failed test at t/tilde.t line 53
Date: Mon, 2 May 2011 09:33:56 +0300
Package: perl
Version: 5.12.3-6
Severity: important

Summary: oversensitive test case, should be fixed but works everywhere
else including polpora and poulenc.

Dear powerpc buildd maintainers: could you please schedule a retry
on another buildd for the time being and/or fix the passwd database
on voltaire?

On Mon, May 02, 2011 at 01:45:10AM +0000, Debian buildds wrote:
>  * Source package: perl
>  * Version: 5.12.3-6
>  * Architecture: powerpc
>  * State: failed
>  * Suite: sid
>  * Builder: voltaire.debian.org
>  * Build log: https://buildd.debian.org/fetch.cgi?pkg=perl&arch=powerpc&ver=5.12.3-6&stamp=1304300272&file=log

The failure is

  #   Failed test at t/tilde.t line 53.
  #          got: ''
  #     expected: undef
  Use of uninitialized value $home in concatenation (.) or string at t/tilde.t line 55.
  cpan/Module-Build/t/tilde......................................FAILED at test 1

The relevant code is

    unless (defined $home) {
      my @info = eval { getpwuid $> };
      skip "No home directory for tilde-expansion tests", 15 if $@;
      $home = $info[7];
    }

which ends up with $home == undef but doesn't skip the tests.

It looks like this happens (at least) if the current user doesn't have
a passwd entry at all.

 % perl -wE 'eval { @i=getpwuid 40000}; die $@ if $@; say $i[7]'
 Use of uninitialized value in say at -e line 1.

The test is buggy as it should have a better guard for getpwuid failure.
It should certainly be fixed.

However, this hasn't changed from 5.10.1 AFAICS and seems to work on all
the other buildds so building it somewhere with a good passwd database
would be the quickest way to get the 5.12 transition going.

See also #479944.
-- 
Niko Tyni   ntyni@debian.org




Set Bug forwarded-to-address to 'https://rt.cpan.org/Public/Bug/Display.html?id=67893'. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Mon, 02 May 2011 10:57:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Mon, 02 May 2011 11:03:46 GMT) Full text and rfc822 format available.

Bug Marked as found in versions perl/5.10.1-20. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Mon, 02 May 2011 15:54:04 GMT) Full text and rfc822 format available.

Reply sent to Dominic Hargreaves <dom@earth.li>:
You have taken responsibility. (Thu, 19 May 2011 22:58:39 GMT) Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. (Thu, 19 May 2011 22:58:39 GMT) Full text and rfc822 format available.

Message #16 received at 624850-close@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 624850-close@bugs.debian.org
Subject: Bug#624850: fixed in perl 5.12.3-7
Date: Thu, 19 May 2011 22:48:08 +0000
Source: perl
Source-Version: 5.12.3-7

We believe that the bug you reported is fixed in the latest version of
perl, which is due to be installed in the Debian FTP archive:

libcgi-fast-perl_5.12.3-7_all.deb
  to main/p/perl/libcgi-fast-perl_5.12.3-7_all.deb
libperl-dev_5.12.3-7_i386.deb
  to main/p/perl/libperl-dev_5.12.3-7_i386.deb
libperl5.12_5.12.3-7_i386.deb
  to main/p/perl/libperl5.12_5.12.3-7_i386.deb
perl-base_5.12.3-7_i386.deb
  to main/p/perl/perl-base_5.12.3-7_i386.deb
perl-debug_5.12.3-7_i386.deb
  to main/p/perl/perl-debug_5.12.3-7_i386.deb
perl-doc_5.12.3-7_all.deb
  to main/p/perl/perl-doc_5.12.3-7_all.deb
perl-modules_5.12.3-7_all.deb
  to main/p/perl/perl-modules_5.12.3-7_all.deb
perl_5.12.3-7.debian.tar.gz
  to main/p/perl/perl_5.12.3-7.debian.tar.gz
perl_5.12.3-7.dsc
  to main/p/perl/perl_5.12.3-7.dsc
perl_5.12.3-7_i386.deb
  to main/p/perl/perl_5.12.3-7_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 624850@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominic Hargreaves <dom@earth.li> (supplier of updated perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 19 May 2011 19:16:22 +0100
Source: perl
Binary: perl-base libcgi-fast-perl perl-doc perl-modules perl-debug libperl5.12 libperl-dev perl
Architecture: source all i386
Version: 5.12.3-7
Distribution: unstable
Urgency: low
Maintainer: Niko Tyni <ntyni@debian.org>
Changed-By: Dominic Hargreaves <dom@earth.li>
Description: 
 libcgi-fast-perl - CGI::Fast Perl module
 libperl-dev - Perl library: development files
 libperl5.12 - shared Perl library
 perl       - Larry Wall's Practical Extraction and Report Language
 perl-base  - minimal Perl system
 perl-debug - debug-enabled Perl interpreter
 perl-doc   - Perl documentation
 perl-modules - Core Perl modules
Closes: 624850
Changes: 
 perl (5.12.3-7) unstable; urgency=low
 .
   * Fix failing tilde test when run under a UID without a passwd entry
     (Closes: #624850)
   * Adjust debian/check-control to work with strict version checks
     and release candidates
   * Add Breaks: mrtg (<< 2.16.3-3.1) (see #625695)
   * Add Breaks, Replaces, Provides for new dual-lived modules
     libshell-perl, libdevel-dprof-perl
   * Add Replaces, Provides for new deprecation module
     libperl4-corelibs-perl
Checksums-Sha1: 
 36b686b38f7fba58c87923bc4ee9600721bf3296 1389 perl_5.12.3-7.dsc
 2d9cd7f962f78dfda80a29a786ed03925618eabb 95151 perl_5.12.3-7.debian.tar.gz
 dc5bc38058767004c9ae4c52740eb315d185f6a0 55568 libcgi-fast-perl_5.12.3-7_all.deb
 5f259ac218b8f6b9432a880a167512e838cd5944 7515196 perl-doc_5.12.3-7_all.deb
 91c7d90d6d76a09d5839493181fa98a0b43d5610 4776846 perl-modules_5.12.3-7_all.deb
 fca14630c6feb84e224bcc2a86ca343a0cbfa04d 1454722 perl-base_5.12.3-7_i386.deb
 2a90faa39d3129caaee217e8a5e0a46c1689a253 7511448 perl-debug_5.12.3-7_i386.deb
 82cdb05db530f3275cd3ce5812e23bc93cb9fc45 706164 libperl5.12_5.12.3-7_i386.deb
 9096e44104f72054b9ed9b53754e85ea62a438d5 2596344 libperl-dev_5.12.3-7_i386.deb
 61f7e81fceccf03b5f6cfe1202dc0a63a4da3e70 3564114 perl_5.12.3-7_i386.deb
Checksums-Sha256: 
 3faa12006bc2dde574d3d7b76763d19b81f5c0ba9c83a8ccf11addce89154fb0 1389 perl_5.12.3-7.dsc
 2625e4fa79a27d824fc71d3c5820334e7100559d761cb2e3565f9296d878e7a8 95151 perl_5.12.3-7.debian.tar.gz
 dcb5b520d7f120dd72d7b97c7448d553972cb53fda11aa452e01196d39026d59 55568 libcgi-fast-perl_5.12.3-7_all.deb
 fb9a5f526f68392323a3f5750d554d173b3f60700b88a3883aa0991a40f0f8cd 7515196 perl-doc_5.12.3-7_all.deb
 875ed4959d21ec9a848cc58ccf665161b45ff6337b741532fe09643a2cec4bee 4776846 perl-modules_5.12.3-7_all.deb
 efa25af08d7c86037234e079858b87fb6821597bdcbcdbdb31d3ca6f9639deb5 1454722 perl-base_5.12.3-7_i386.deb
 a7101b06538217402975099398416059c150994aae8a2ba3bc1159c215f2d5a2 7511448 perl-debug_5.12.3-7_i386.deb
 a3797e4091af1b5d519bb58c36a58ea69953286eaa2eeaecdea0340b414d5065 706164 libperl5.12_5.12.3-7_i386.deb
 4d1d79afd23a4e01f6a32a74c5d30d5bb2123911ab9f930e573f8fcdab1f4c55 2596344 libperl-dev_5.12.3-7_i386.deb
 388c3665f1ebd7e3f46c5c53523a633ff18dd170845ebb2284687f0d24c436e2 3564114 perl_5.12.3-7_i386.deb
Files: 
 39b7eb90aebf10d865114b2b5212c129 1389 perl standard perl_5.12.3-7.dsc
 1ac444f13dd8605b7f6ace5fbfab3ced 95151 perl standard perl_5.12.3-7.debian.tar.gz
 558314bc82d0f7b5a56a0e3e8319f269 55568 perl optional libcgi-fast-perl_5.12.3-7_all.deb
 1e9d9c29c2ec9f38670b89bf498a0009 7515196 doc optional perl-doc_5.12.3-7_all.deb
 39c1fd41b656b723e83ee1187d7ba2fa 4776846 perl standard perl-modules_5.12.3-7_all.deb
 d0ffab60d85b225a3a2c66f381b68f50 1454722 perl required perl-base_5.12.3-7_i386.deb
 07b34cc6cb51c987511c8c267d9bfce4 7511448 debug extra perl-debug_5.12.3-7_i386.deb
 2488fa896e9cafabf967e9f8659e0ac3 706164 libs optional libperl5.12_5.12.3-7_i386.deb
 41ef74837ebf125767b7164d7d063845 2596344 libdevel optional libperl-dev_5.12.3-7_i386.deb
 2bf5841918281e8ab8217f4964b38d53 3564114 perl standard perl_5.12.3-7_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFN1XHeYzuFKFF44qURAmhiAKDkMVQ0Iu6nJ48P+gHx3TpGAogvigCgn8pj
VSnl3CFsHxPXVBRvbXD2lI8=
=27q3
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 11 Aug 2011 07:35:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:14:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.